<?php
/**
 * @package    Bongovo Installer plugin
 *
 * @author     Pavel Poles - n3t.cz
 * @copyright  © 2022 Pavel Poles - n3t.cz. All rights reserved.
 * @license    GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 * @link       https://n3t.bitbucket.io
*/

defined('_JEXEC') or die;

use Joomla\CMS\Language\Text;

/** @var PlgInstallerBongovo $this */

$translations = $this->loadTranslations();
?>
<legend><?php echo Text::_('PLG_INSTALLER_BONGOVO_TEXT'); ?></legend>

<table class="table itemList" id="translationsList">
  <caption class="visually-hidden">
	  <?php echo Text::_('PLG_INSTALLER_BONGOVO_TEXT'); ?>
  </caption>

  <thead>
  <tr>
    <th scope="col">
	    <?php echo Text::_('PLG_INSTALLER_BONGOVO_TH_NAME'); ?>
    </th>
    <th scope="col" class="w-10 text-center d-none d-md-table-cell">
		  <?php echo Text::_('PLG_INSTALLER_BONGOVO_TH_LANGUAGE'); ?>
    </th>
    <th scope="col" class="w-10 text-end d-none d-md-table-cell">
		  <?php echo Text::_('PLG_INSTALLER_BONGOVO_TH_EXTENSION'); ?>
    </th>
    <th scope="col" class="w-10 text-end d-none d-md-table-cell">
		  <?php echo Text::_('PLG_INSTALLER_BONGOVO_TH_VERSION'); ?>
    </th>
    <th scope="col" class="w-10 text-end d-none d-md-table-cell">
	    <?php echo Text::_('PLG_INSTALLER_BONGOVO_TH_VERSION_UPDATE'); ?>
    </th>
    <th scope="col" class="w-5">&nbsp;</th>
  </tr>
  </thead>

  <tbody>
<?php
foreach ($translations as $translation) {
  $btnClass = 'primary';
	$btnText = 'PLG_INSTALLER_BONGOVO_BTN_INSTALL';
  if ($translation->installedversion) {
    if (version_compare($translation->version, $translation->installedversion, '>')) {
	    $btnClass = 'warning';
	    $btnText = 'PLG_INSTALLER_BONGOVO_BTN_UPDATE';
    } else {
	    $btnClass = 'success';
	    $btnText = 'PLG_INSTALLER_BONGOVO_BTN_REINSTALL';
    }
  }
?>
  <tr class="row1" data-draggable-group="9" data-transitions="">
    <td class="text-left">
      <div class="break-word"><?php echo $translation->name; ?></div>
      <div class="small break-word"><?php echo $translation->description; ?></div>
    </td>
    <td class="text-center d-none d-md-table-cell">
	    <?php echo $translation->language; ?>
    </td>
    <td class="text-end d-none d-md-table-cell">
	    <?php if($translation->extensionversion) { ?>
        <span class="icon-check text-success"></span>
		    <?php echo $translation->extensionversion; ?>
	    <?php } ?>
    </td>
    <td class="text-end d-none d-md-table-cell">
		  <?php echo $translation->installedversion; ?>
    </td>
    <td class="text-end d-none d-md-table-cell">
      <span class="badge bg-warning text-dark">
		    <?php echo $translation->version; ?>
      </span>
    </td>
    <td class="text-end">
		  <?php if ($translation->downloadurl) { ?>
        <a href="#" class="btn btn-<?php echo $btnClass ?> btn-sm" onclick="var form = document.getElementById('adminForm'); form.install_url.value = '<?php echo $translation->downloadurl; ?>'; form.installtype.value = 'url'; form.submit(); return false;">
				  <?php echo Text::_($btnText) ?>
        </a>
		  <?php } ?>
    </td>
  </tr>
<?php
}
?>
  </tbody>
</table>
